All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Integral
Statistical Operations

Primitives for computing the integral image of a given image. More...

## Integral

Given an input image and the specified value , the pixel value of the integral image at coordinate (i, j) will be computed as If the size of the input image is , the size of the integral image will be .
NppStatus | nppiIntegral_8u32s_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oROI, Npp32s nVal, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image Integral with 32-bit signed output. More...
NppStatus | nppiIntegral_8u32s_C1R (const Npp8u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oROI, Npp32s nVal)
NppStatus | nppiIntegral_8u32f_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oROI, Npp32f nVal, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image Integral with 32-bit floating point output. More...
NppStatus | nppiIntegral_8u32f_C1R (const Npp8u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oROI, Npp32f nVal)

## Detailed Description

Primitives for computing the integral image of a given image.

## Function Documentation

NppStatus nppiIntegral_8u32f_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | Npp32f | nVal
| ) |  |

NppStatus nppiIntegral_8u32f_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | Npp32f | nVal,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image Integral with 32-bit floating point output.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oROI | Region-of-Interest (ROI).
  nVal | The value to add to pDst image pixels
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes.

NppStatus nppiIntegral_8u32s_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nVal
| ) |  |

NppStatus nppiIntegral_8u32s_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nVal,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image Integral with 32-bit signed output.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oROI | Region-of-Interest (ROI).
  nVal | The value to add to pDst image pixels
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes.

Copyright © 2009-2019 NVIDIA Corporation